/* ss-core/lib/timer.h
 *
 * Simple event scheduler system.
 *
 * Copyright (C) 2003, 2004
 * Andy Goth     <unununium@openverse.com>
 *
 * This code is available under the GNU General Public License; see COPYING. */

#ifndef SEEN_SSCORE_LIB_TIMER_H
#define SEEN_SSCORE_LIB_TIMER_H

#include <unistd.h>

typedef int (*timer_func_t)(va_list ap);
int timer_init(void);
int timer_cleanup(void);
int timer_schedule_event(int time, void* cookie, timer_func_t func, ...);
int timer_next_event(int* time, timer_func_t* func);
int timer_cancel_event(void* cookie);

#endif

/* ======================================================================== */

/* vim: set ts=4 sts=4 sw=4 tw=80 et: */
/* EOF */
